curl -X DELETE "https://api.contactship.ai/v1/agents/a1b2c3d4-e5f6-4890-abcd-ef1234567890" \
-H "x-api-key: your-api-key"
const agentId = 'a1b2c3d4-e5f6-4890-abcd-ef1234567890';
const response = await fetch(
`https://api.contactship.ai/v1/agents/${agentId}`,
{
method: 'DELETE',
headers: { 'x-api-key': 'your-api-key' },
}
);
const { data: success } = await response.json(); // true
import requests
agent_id = 'a1b2c3d4-e5f6-4890-abcd-ef1234567890'
response = requests.delete(
f'https://api.contactship.ai/v1/agents/{agent_id}',
headers={'x-api-key': 'your-api-key'},
)
print(response.json()["data"]) # True
{
"statusCode": 200,
"data": true
}
Agentes
Delete Agent
Permanently delete an AI phone agent
DELETE
/
v1
/
agents
/
{agentId}
curl -X DELETE "https://api.contactship.ai/v1/agents/a1b2c3d4-e5f6-4890-abcd-ef1234567890" \
-H "x-api-key: your-api-key"
const agentId = 'a1b2c3d4-e5f6-4890-abcd-ef1234567890';
const response = await fetch(
`https://api.contactship.ai/v1/agents/${agentId}`,
{
method: 'DELETE',
headers: { 'x-api-key': 'your-api-key' },
}
);
const { data: success } = await response.json(); // true
import requests
agent_id = 'a1b2c3d4-e5f6-4890-abcd-ef1234567890'
response = requests.delete(
f'https://api.contactship.ai/v1/agents/{agent_id}',
headers={'x-api-key': 'your-api-key'},
)
print(response.json()["data"]) # True
{
"statusCode": 200,
"data": true
}
Permanently deletes an agent from your organization. This action cannot be undone. Any ongoing calls using this agent will not be affected, but no new calls can be made with the deleted agent.
Headers
Path Parameters
Response
Returns{ "statusCode": 200, "data": true } on successful deletion.
Error Codes
401 Unauthorized— Invalid or missing API key404 Not Found— Agent not found500 Internal Server Error— Server-side error
Code Examples
curl -X DELETE "https://api.contactship.ai/v1/agents/a1b2c3d4-e5f6-4890-abcd-ef1234567890" \
-H "x-api-key: your-api-key"
const agentId = 'a1b2c3d4-e5f6-4890-abcd-ef1234567890';
const response = await fetch(
`https://api.contactship.ai/v1/agents/${agentId}`,
{
method: 'DELETE',
headers: { 'x-api-key': 'your-api-key' },
}
);
const { data: success } = await response.json(); // true
import requests
agent_id = 'a1b2c3d4-e5f6-4890-abcd-ef1234567890'
response = requests.delete(
f'https://api.contactship.ai/v1/agents/{agent_id}',
headers={'x-api-key': 'your-api-key'},
)
print(response.json()["data"]) # True
{
"statusCode": 200,
"data": true
}
